function [xLst, yLst, dist] = Hiker(n)
% HIKER  This is a function to generate lists of x and y 
% coordinates of n steps for a random walk of n steps
% along with distance between first and last point
rand('state', sum(100*clock))
x0 = 0;
y0 = 0;
x = x0;
y = y0;
xLst = zeros(1, n + 1);
yLst = zeros(1, n + 1);
xLst(1, 1) = x0;
yLst(1, 1) = y0;
for i = 1:n
    rnum = rand;
    if rnum <= 0.19
        y = y + 1;
        x = x;
    elseif rnum <= 0.43
        y = y + 1;
        x = x + 1;
    elseif rnum <= 0.60
        y = y;
        x = x + 1;
    elseif rnum <= 0.70
        y = y - 1;
        x = x + 1;
    elseif rnum <= 0.72
        y = y - 1;
        x = x;
    elseif rnum <= 0.75
        y = y - 1;
        x = x - 1;
    elseif rnum <= 0.85
        y = y;
        x = x - 1;
    elseif rnum <= 1.00
        y = y + 1;
        x = x - 1;
    end;
    xLst(1, i + 1) = x;
    yLst(1, i + 1) = y;
end;    
dist = sqrt((x - x0)^2 + (y - y0)^2);